# \Thelia\CoreTheliaHttpKernel

## Summary

Methods
Properties
Constants
__construct()
getContainer()
handle()
No public properties found
No constants found
initParam()
detectLang()
initSession()
$container
N/A
No private methods found
No private properties found
N/A

File
  Core/TheliaHttpKernel.php
Package
  \Default
Class hierarchy
  \Symfony\Component\HttpKernel\HttpKernel
  \Thelia\Core\TheliaHttpKernel

## Tags

author | Manuel Raynaud mraynaud@openstudio.fr

## Properties

### $container

    $container

#

## Tags

None found

## Methods

### __construct()

    __construct(\Symfony\Component\EventDispatcher\EventDispatcherInterface $dispatcher, \Symfony\Component\DependencyInjection\ContainerInterface $container, \Symfony\Component\HttpKernel\Controller\ControllerResolverInterface $controllerResolver)

#### Parameters

\Symfony\Component\EventDispatcher\EventDispatcherInterface | $dispatcher |
\Symfony\Component\DependencyInjection\ContainerInterface | $container |
\Symfony\Component\HttpKernel\Controller\ControllerResolverInterface | $controllerResolver |

#

## Tags

None found

### getContainer()

    getContainer()

#

## Tags

None found

### handle()

    handle(\Symfony\Component\HttpFoundation\Request $request, integer $type, Boolean $catch) : \Thelia\Core\Response

Handles a Request to convert it to a Response.

When $catch is true, the implementation must catch all exceptions and do its best to convert them to a Response instance.

#### Parameters

\Symfony\Component\HttpFoundation\Request | $request | A Request instance
integer | $type | The type of the request (one of HttpKernelInterface::MASTER_REQUEST or HttpKernelInterface::SUB_REQUEST)
Boolean | $catch | Whether to catch exceptions or not

#### Throws

\Exception

  When an Exception occurs during processing

#### Returns

\Thelia\Core\Response —

A Response instance

#

## Tags

api |

### initParam()

    initParam(\Symfony\Component\HttpFoundation\Request $request)

#### Parameters

\Symfony\Component\HttpFoundation\Request | $request |

#

## Tags

None found

### detectLang()

    detectLang(\Symfony\Component\HttpFoundation\Request $request) : null|\Thelia\Model\Lang

#### Parameters

\Symfony\Component\HttpFoundation\Request | $request |

#### Returns

null|\Thelia\Model\Lang

#

## Tags

None found

### initSession()

    initSession(\Symfony\Component\HttpFoundation\Request $request)

#### Parameters

\Symfony\Component\HttpFoundation\Request | $request |

#

## Tags

None found

### TheliaHttpKernel.php